<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true">
<f:if condition="{data.header}">
    <f:switch expression="{data.header_layout}">
        <f:case value="1">
            <h1 class="o-cms-content__headline">
                <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
            </h1>
        </f:case>
        <f:case value="2">
            <h2 class="o-cms-content__headline">
                <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
            </h2>
        </f:case>
        <f:case value="3">
            <h3 class="o-cms-content__headline">
                <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
            </h3>
        </f:case>
        <f:case value="4">
            <h4 class="o-cms-content__headline">
                <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
            </h4>
        </f:case>
        <f:case value="5">
            <h5 class="o-cms-content__headline">
                <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
            </h5>
        </f:case>
        <f:case value="100">
            <f:comment> -- do not show header -- </f:comment>
        </f:case>
        <f:case value="0">
            <f:comment> -- render default layout as H4 -- </f:comment>
            <h4 class="o-cms-content__headline">
                <f:link.typolink parameter="{data.header_link}">{data.header}</f:link.typolink>
            </h4>
        </f:case>
    </f:switch>
</f:if>
</html>
